LocalityAPI
Get API Key

Country Details

Full country metadata.

GET

Parameters

ParameterTypeRequiredDescription
iso2stringRequiredISO2 country code (path parameter)

Request Example

curl "https://api.localityapi.com/v1/country/AE" \
  -H "X-API-Key: lapi_your_key"

Response

json
{
  "name": "United Arab Emirates",
  "iso2": "AE",
  "iso3": "ARE",
  "capital": "Abu Dhabi",
  "currency": "AED",
  "currency_symbol": "د.إ",
  "phone_code": "+971",
  "languages": ["Arabic"],
  "continent": "Asia",
  "flag": "🇦🇪",
  "timezone": "Asia/Dubai",
  "region": "Middle East",
  "query_ms": 0
}

Response Fields

namestringCountry name
iso2stringISO2 country code
iso3stringISO3 country code
capitalstringCapital city
currencystringCurrency code
currency_symbolstringCurrency symbol
phone_codestringPhone dialing code
languagesarrayOfficial languages
continentstringContinent name
flagstringFlag emoji
timezonestringPrimary timezone
regionstringGeographic region
query_msintegerQuery execution time in milliseconds